Bug 1440187 - SELinux is preventing 57656220436F6E74656E74 from 'create' accesses on the file 1934492876-Suivi_poste-canada.
Summary: SELinux is preventing 57656220436F6E74656E74 from 'create' accesses on the fi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:70c5edf57f0dd9fb3dc2347d802...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-07 14:03 UTC by yroy
Modified: 2017-11-01 16:38 UTC (History)
14 users (show)

Fixed In Version: selinux-policy-3.13.1-225.20.fc25 selinux-policy-3.13.1-225.22.fc25 selinux-policy-3.13.1-225.23.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-01 16:38:44 UTC
Type: ---


Attachments (Terms of Use)

Description yroy 2017-04-07 14:03:10 UTC
Description of problem:
Can't print from Mozilla
SELinux is preventing 57656220436F6E74656E74 from 'create' accesses on the file 1934492876-Suivi_poste-canada.

*****  Plugin mozplugger (99.1 confidence) suggests   ************************

If you want to use the plugin package
Then you must turn off SELinux controls on the Firefox plugins.
Do
# setsebool -P unconfined_mozilla_plugin_transition 0

*****  Plugin catchall (1.81 confidence) suggests   **************************

If you believe that 57656220436F6E74656E74 should be allowed create access on the 1934492876-Suivi_poste-canada file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c '57656220436F6E74656E74' --raw | audit2allow -M my-57656220436F6E74656E74
# semodule -X 300 -i my-57656220436F6E74656E74.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                1934492876-Suivi_poste-canada [ file ]
Source                        57656220436F6E74656E74
Source Path                   57656220436F6E74656E74
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-225.11.fc25.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.10.8-200.fc25.x86_64 #1 SMP Fri
                              Mar 31 13:20:22 UTC 2017 x86_64 x86_64
Alert Count                   7
First Seen                    2017-04-07 09:20:57 EDT
Last Seen                     2017-04-07 09:38:54 EDT
Local ID                      9fc7a327-aa14-4027-8a02-44a18e6ae796

Raw Audit Messages
type=AVC msg=audit(1491572334.785:224): avc:  denied  { create } for  pid=2224 comm=57656220436F6E74656E74 name="1934492876-Suivi_poste-canada" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file permissive=0


Hash: 57656220436F6E74656E74,mozilla_plugin_t,user_home_t,file,create

Version-Release number of selected component:
selinux-policy-3.13.1-225.11.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.10.8-200.fc25.x86_64
type:           libreport

Potential duplicate: bug 1289477

Comment 1 Alejandro Morales Lepe 2017-04-11 06:29:02 UTC
Description of problem:
Printing PDF with Firefox

Version-Release number of selected component:
selinux-policy-3.13.1-225.11.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.10.8-200.fc25.x86_64
type:           libreport

Comment 2 Andy Hall 2017-04-12 07:41:06 UTC
Description of problem:
Print to file from Firefox 52.0.2 (64-bit) - selected a filename in /home/[user]/Documents and saw the SELinux warning.

Version-Release number of selected component:
selinux-policy-3.13.1-225.11.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.10.8-200.fc25.x86_64
type:           libreport

Comment 3 Youssef 2017-04-14 15:14:11 UTC
Description of problem:
I attempted to Print a webpage in Firefox to a file inside my home folder.

Version-Release number of selected component:
selinux-policy-3.13.1-225.11.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.10.8-200.fc25.x86_64
type:           libreport

Comment 5 Douglas 2017-04-18 20:54:49 UTC
Description of problem:
I was going to "print to PDF" from Firefox, using the default option. SELinux didn't let it write the PDF to my home folder. Maybe it should allow such action.

Version-Release number of selected component:
selinux-policy-3.13.1-225.11.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.10.10-200.fc25.x86_64
type:           libreport

Comment 6 ates.emre 2017-04-20 15:13:19 UTC
Description of problem:
Whenever I try to print to a file from the firefox browser, SELinux denies permission to create the pdf file.

Normally printing to a pdf file should not be blocked by the printer. The location of the file is within the home directory.

Version-Release number of selected component:
selinux-policy-3.13.1-225.11.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.10.8-200.fc25.x86_64
type:           libreport

Comment 7 srinu 2017-04-22 08:19:29 UTC
Description of problem:
SELinux is preventing 57656220436F6E74656E74 from 'create' accesses on the file test.pdf.

*****  Plugin mozplugger (99.1 confidence) suggests   ************************

If you want to use the plugin package
Then you must turn off SELinux controls on the Firefox plugins.
Do
# setsebool -P unconfined_mozilla_plugin_transition 0

*****  Plugin catchall (1.81 confidence) suggests   **************************

If you believe that 57656220436F6E74656E74 should be allowed create access on the test.pdf file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c '57656220436F6E74656E74' --raw | audit2allow -M my-57656220436F6E74656E74
# semodule -X 300 -i my-57656220436F6E74656E74.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                test.pdf [ file ]
Source                        57656220436F6E74656E74
Source Path                   57656220436F6E74656E74
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-225.11.fc25.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.10.10-200.fc25.x86_64 #1 SMP Thu
                              Apr 13 01:11:51 UTC 2017 x86_64 x86_64
Alert Count                   31
First Seen                    2017-04-07 12:09:40 IST
Last Seen                     2017-04-22 12:59:15 IST
Local ID                      cffeac3c-e72b-467a-b753-96d7b271425d

Raw Audit Messages
type=AVC msg=audit(1492846155.695:358): avc:  denied  { create } for  pid=6561 comm=57656220436F6E74656E74 name="test.pdf" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file permissive=0


Hash: 57656220436F6E74656E74,mozilla_plugin_t,user_home_t,file,create

Version-Release number of selected component:
selinux-policy-3.13.1-225.11.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.10.10-200.fc25.x86_64
type:           libreport

Comment 8 Fedora Update System 2017-08-14 15:20:50 UTC
selinux-policy-3.13.1-225.20.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-837f04c39a

Comment 9 Fedora Update System 2017-08-15 03:50:28 UTC
selinux-policy-3.13.1-225.20.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-837f04c39a

Comment 10 Fedora Update System 2017-08-27 06:21:26 UTC
selinux-policy-3.13.1-225.20.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-09-01 09:34:05 UTC
selinux-policy-3.13.1-225.22.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5d4f3635ee

Comment 12 Fedora Update System 2017-09-03 06:24:21 UTC
selinux-policy-3.13.1-225.22.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5d4f3635ee

Comment 13 Fedora Update System 2017-09-07 23:19:42 UTC
selinux-policy-3.13.1-225.22.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-10-10 11:59:39 UTC
selinux-policy-3.13.1-225.23.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4d00e4db6a

Comment 15 Fedora Update System 2017-10-11 04:21:38 UTC
selinux-policy-3.13.1-225.23.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4d00e4db6a

Comment 16 Fedora Update System 2017-11-01 16:38:44 UTC
selinux-policy-3.13.1-225.23.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.